Bug 10328 - Rename opaccolorstylesheet to OpacAdditionalStyleSheet
Summary: Rename opaccolorstylesheet to OpacAdditionalStyleSheet
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Jonathan Druart
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 10327
  Show dependency treegraph
 
Reported: 2013-05-24 11:34 UTC by Kyle M Hall
Modified: 2015-12-03 22:11 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 10328 - Rename opaccolorstylesheet to OpacColorStyleSheet (8.56 KB, patch)
2013-05-24 11:36 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 10328 - Rename opaccolorstylesheet to OpacColorStyleSheet (8.56 KB, patch)
2013-06-07 04:35 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
Bug 10328 - Rename opaccolorstylesheet to OpacAdditionalStylesheet (6.35 KB, patch)
2015-02-23 15:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 10328 - Rename opaccolorstylesheet to OpacAdditionalStylesheet (7.10 KB, patch)
2015-02-25 09:23 UTC, Jonathan Druart
Details | Diff | Splinter Review
[Signed-off] Bug 10328 - Rename opaccolorstylesheet to OpacAdditionalStylesheet (7.49 KB, patch)
2015-02-25 20:04 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 10328 - Rename opaccolorstylesheet to OpacAdditionalStylesheet (7.62 KB, patch)
2015-03-03 14:43 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2013-05-24 11:34:29 UTC

    
Comment 1 Kyle M Hall 2013-05-24 11:36:30 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2013-05-24 12:46:16 UTC
If we're renaming this one, maybe we should rename it to something which better describes its use? It's not really a stylesheet for color, even though that was the original intention.
Comment 3 Srdjan Jankovic 2013-06-07 04:35:26 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2013-06-07 09:34:46 UTC
Kyle, what do you think about the Owen's proposition?
Owen, what do you suggest?

Switch to in discussion.
Comment 5 Owen Leonard 2013-06-10 15:48:01 UTC
I like Jared's suggestion from IRC, "OpacAdditionalStylesheet"
Comment 6 Marcel de Rooy 2013-07-15 12:42:05 UTC
(In reply to Owen Leonard from comment #5)
> I like Jared's suggestion from IRC, "OpacAdditionalStylesheet"

+1 from me too
Comment 7 Jonathan Druart 2015-02-23 15:25:00 UTC Comment hidden (obsolete)
Comment 8 Marc Véron 2015-02-24 13:01:30 UTC
I think the changes to installer/data/mysql/updatedatabase.pl are missing in this patch (Attachment #36123 [details]).
They were in previous, obsoleted patch (Attachment #18719 [details]).
Comment 9 Jonathan Druart 2015-02-25 09:23:21 UTC Comment hidden (obsolete)
Comment 10 Jonathan Druart 2015-02-25 09:23:50 UTC
(In reply to Marc Véron from comment #8)
> I think the changes to installer/data/mysql/updatedatabase.pl are missing in
> this patch (Attachment #36123 [details]).
> They were in previous, obsoleted patch (Attachment #18719 [details]).

Yes of course, thanks for the catch Marc!
Comment 11 Marc Véron 2015-02-25 20:04:49 UTC Comment hidden (obsolete)
Comment 12 Katrin Fischer 2015-03-03 14:43:15 UTC
Created attachment 36409 [details] [review]
[PASSED QA] Bug 10328 - Rename opaccolorstylesheet to OpacAdditionalStylesheet

Test plan (from comment #1)
1) Apply this patch
2) Run updatedatabase.pl
3) Verify the system pref OpacColorStyleSheet still works
   i.e. no change should be noted

Additionally, I changed the path to an other stylesheet and verified that it worked.

Signed-off-by: Marc Véron <veron@veron.ch>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Works as described and no more occurences of opaccolorstylesheet were found.
Comment 13 Tomás Cohen Arazi 2015-03-31 14:38:10 UTC
Patch pushed to master.

Thanks Jonathan!